# Tutorials

Here are all tutorials listed for the frontend

- [How login is done](signingIn.md) if you want to understand the login process or want to create a third-party site with login to yapex

- [Setup deploy environment](setupDeploy.md) if you want to build the frontend and don't want to change or develop anything

- [Setup development environment](setupDev.md) if you want to setup a development environment

- [adding markdown code block language](addingMarkdownLang.md) if you want to add a code block lang for markdown

- [redux](redux.md) describes how redux works, how we use it and how to add new actions/reducers

- [adding components](components.md) how to add components and what to consider

- [adding a site (component)](siteComponents.md) how to add new site (component)

- [styles](styles.md) styles and how to add them (`.styl` files)

- [useful css rules](usefulCss.md) might be useful

- [better list and table rendering](betterListAndTableRendering.md)

- [frontend settings manager](frontendSettingsManager.md) the frontend manager where settings and other things can be saved in the client's browser

- [frontend validation](validation.md) validation pattern (for dialogs)

- [communication layer](communication.md) the communication layer to send/receive data to/from the backend

- [Multi-Tab Editor](multiTabEditor.md) how to use and what to pay attention to
