# YAPEX dev docs

YAPEX is a group of projects

The basic structure is like this

```mermaid
graph LR;
Frontend --> Backend
Backend --> Frontend

Backend --> Test-Server
Test-Server --> Backend

Test-Server --> Test-Runner
Test-Runner --> Test-Server

Test-Runner --> User-Program
User-Program --> Test-Runner
```

where every part is a separate project

*The parts only communicate with the direct neighbor*

The frontend is documented in [frontend/](docs/frontend/readme.md)

The backend is documented in [backend/](docs/backend/readme.md) TODO!!
