# Install and build the Yapex Frontend

This guide is tested for Debian 9 (stretch). Please note, that 8GB of disk space aren't enough (this one is tested in an otherwise empty virtual machine.)

## Prerequisites

* Having installed gcc, g++, make, git, curl, apt-transport-https (Checking whether it's installed: `dpkg -s [package name]`. Installing it: `apt install [package name]`) 
* Having installed [nodejs](https://gitlab.informatik.uni-halle.de/Syndrom/Docs/-/blob/extended-guides/installation/dependencies/nodejs.md)
* Having installed [yarn](https://gitlab.informatik.uni-halle.de/Syndrom/Docs/-/blob/extended-guides/installation/dependencies/yarn.md)

## Cloning the frontend

It doesn't really matter where you put the frontend for compiling. Personally I use `/opt/yapex/frontend-react`. (For not as root you have to run `chown -R [normal user] /opt/yapex/frontend-react`.) Clone [the repository](https://gitlab.informatik.uni-halle.de/Syndrom/frontend-react) to `/opt/yapex`.

## Building

Move to `/opt/yapex/frontend-react`.

For installing the dependencies run `yarn install`.

For building run `yarn run build`.

## Where to find the result

The result is in `/opt/yapex/frontend-react/dist`. Copy its content whereever you need it.
